dpkg-realpath(1)

BEZEICHNUNG
dpkg-realpath - Ausgabe des aufgelösten Pfadnamens mit DPKG_ROOT-Unterstützung

ÜBERSICHT
dpkg-realpath [Option…] Pfadname

BESCHREIBUNG
dpkg-realpath ist ein Werkzeug (seit Dpkg 1.20.1), um einen Pfadnamen aufzulösen, der das Wurzelverzeichnis von dpkg(1) berücksichtigt, entweder implizit von der Umgebungsvariablen DPKG_ROOT oder von den Befehlszeilenoptionen --root oder --instdir, und das dann einen absoluten Pfadnamen relativ zu dem Wurzelverzeichnis zurückliefert. Das Wurzelverzeichnis darf dem Pfadnamen nicht vorangestellt werden, um aufgelöst zu werden.

Dies ist für den Einsatz durch andere Hilfsprogramme von dpkg oder Betreuerskripten gedacht, statt realpath(1) oder readlink(1) zu verwenden, um einen kanonischen Pfad zu erhalten, da diese beiden Werkzeuge den kanonischen Pfad nur relativ zu / ermitteln können.

OPTIONEN

-z, --zero
    Verwendet ein NUL-Byte statt eines Zeilenumbruchzeichens, um Ausgabezeilen abzuschließen (seit Dpkg 1.20.6).

--instdir Verzeichnis
--root Verzeichnis
    Setzt das Wurzelverzeichnis auf Verzeichnis, das das Basisverzeichnis ist, gegen das Pfadnamen kanonisiert werden. Standardmäßig „/“, falls DPKG_ROOT nicht gesetzt wurde.

-?, --help
    Zeigt einen Hinweis zum Aufruf und beendet das Programm.

--version
    Gibt die Version aus und beendet das Programm.

UMGEBUNG

DPKG_ROOT
    Falls gesetzt und die Option --instdir oder --root nicht angegeben wurde, wird dies als Dateisystemwurzelverzeichnis verwandt.

DPKG_COLORS
    Setzt den Farbmodus. Die derzeit unterstützten Werte sind: auto (Vorgabe), always und never.

SIEHE AUCH
realpath(1), readlink(1).

ÜBERSETZUNG
Die deutsche Übersetzung wurde 2004, 2006-2023 von Helge Kreutzmann <debian@helgefjell.de>, 2007 von Florian Rehnisch <eixman@gmx.de> und 2008 von Sven Joachim <svenjoac@gmx.de> angefertigt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 2 oder neuer für die Kopierbedingungen. Es gibt KEINE HAFTUNG.